﻿.special-box{
    width: 100%;
    position: relative;
    display: block;
}
.special-all-box{
    width: 100%;
    font-size: 0;
    box-sizing: border-box;
    padding-top: 80px;
    padding-bottom: 120px;
}
.special-box .index-activity-title-ch{
    margin-bottom: 0;
}
.special-edit-box{
    width: 1200px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    margin-top: 20px;
    font-size: 18px;
    letter-spacing: 0.01em;
    color: #555;
    line-height: 2;
}
.special-info-box{
    width: 100%;
    position: relative;
    display: block;
}
.special-info-all-box{
    width: 1200px;
    max-width: 100%;
    position: relative;
    z-index: 1;
    display: block;
    margin: 0 auto;
}
.special-info{
    margin-top: 100px;
    position: relative;
}
.special-info-ove{
    position: absolute;
    top: -80px;
    left: 0;
}
.special-info-img{
    width: 720px;
    height: 600px;
    display: inline-block;
    vertical-align: middle;
}
.special-info-text-box{
    width: calc(100% - 720px);
    display: inline-block;
    vertical-align: middle;
    box-sizing: border-box;
    padding-left: 65px;
}
.special-info-volume{
    width: max-content;
    font-size: 16px;
    display: flex;
    align-items: center;
    justify-content: start;
    cursor: pointer;
}
.special-info-volume i{
    margin-right: 5px;
    color: #ff0000;
}
.special-info-title{
    display: inline-block;
    vertical-align: top;
    margin-bottom: 20px;
    position: relative;
}
.special-info-title span{
    font-size: 24px;
    font-family: "Noto Serif TC";
    font-weight: 500;
    letter-spacing: 0.06em;
    color: #3f3437;
    position: relative;
    display: block;
    z-index: 1;
}
.special-info-title::after{
    content: '';
    width: 100%;
    height: 20px;
    background-color: #faf0d0;
    display: block;
    position: absolute;
    left: 0;
    bottom: -2px;
    z-index: 0;
}
.special-info-text{
    font-size: 16px;
    line-height: 2;
    display: block;
    color: #555;
    letter-spacing: 0.01em;
}
.special-info:nth-child(even){
    display:         flex;
    display: -webkit-flex;
    align-items: center;
    -webkit-align-items: center;
    justify-content: center;
    -webkit-justify-content: center;
    flex-direction: row-reverse;
}
.special-info:nth-child(even) .special-info-text-box{
    padding-left: 0;
    padding-right: 65px;
}
.special-info-box::before{
    content: '';
    width: 1200px;
    max-width: 100%;
    height: 100%;
    display: block;
    background-color: #f0f0f0;
    position: absolute;
    top: 20px;
    left: 0;
    z-index: 0;
    transform-origin: 0 0;
    transform: rotateZ(5deg);
}
.special-class-box .store_info-class{
    width: 100px;
    border: 5px solid rgba(250, 240, 208, 0.8);
    padding: 5px;
}
.special-class-box .store_info-class:after{
    display: none;
}

#specialClass{
    position: absolute;
    top: -130px;
    height: 130px;
    width: 100%;
    pointer-events: none;
}

@media only screen and (max-width: 1200px){
    .special-edit-box{
        width: 1000px;
    }
    .special-info-all-box{
        width: 1000px;
    }
    .special-info-img{
        width: 620px;
        height: calc((600 / 720) * 620px);
    }
    .special-info-text-box {
        width: calc(100% - 620px);
    }
    .special-info-box::before{
        width: 1000px;
    }
}
@media only screen and (max-width: 1000px){
    .special-edit-box{
        width: 750px;
    }
    .special-info-all-box{
        width: 750px;
    }
    .special-info-img{
        width: 470px;
        height: calc((600 / 720) * 470px);
    }
    .special-info-text-box {
        width: calc(100% - 470px);
        padding-left: 25px;
    }
    .special-info:nth-child(even) .special-info-text-box{
        padding-right: 25px;
    }
    .special-info-box::before{
        width: 750px;
    }
    .special-class-box .store_info-class{
        width: 100%;
        border: none;
    }
}
@media only screen and (max-width: 750px){
    .special-edit-box{
        width: 550px;
    }
    .special-all-box{
        padding-top: 40px;
        padding-bottom: 60px;
    }
    .special-info-all-box{
        width: 550px;
    }
    .special-info-img{
        width: 100%;
        height: calc((600 / 720) * 550px);
    }
    .special-info-text-box {
        width: 100%;
        padding-left: 0;
        margin-top: 10px;
    }
    .special-info-title{
        margin-bottom: 10px;
    }
    .special-info-box::before{
        display: none;
    }
    .special-info{
        margin-top: 40px;
    }
    .special-info:nth-child(even){
        flex-direction: column;
    }
    .special-info:nth-child(even) .special-info-text-box{
        padding-right: 0;
    }
    .special-info-title span{
        font-size: 20px;
    }
    .special-info-title::after{
        height: 15px;
        bottom: 0;
    }
    .special-info-text{
        font-size: 14px;
    }
}
@media only screen and (max-width: 550px){
    .special-edit-box{
        width: 95%;
        font-size: 14px;
    }
    .special-all-box{
        padding-top: 20px;
        padding-bottom: 30px;
    }
    .special-info-all-box{
        width: 95%;
    }
    .special-info-img{
        width: 100%;
        height: calc((600 / 720) * 95vw);
    }
    .special-info{
        margin-top: 20px;
    }
    .special-info-title span{
        font-size: 16px;
    }
    .special-info-title::after{
        height: 12px;
        bottom: 0;
    }
    .special-info-text{
        font-size: 12px;
    }
}




/*animation*/
/*<-------------動畫------------->*/

/*右邊快速進入*/
@-webkit-keyframes fadeInLeft_bc {
    from {
        opacity: 0;
        -webkit-transform: translate3d(-20%, 0, 0) rotateZ(0deg);
        transform: translate3d(-20%, 0, 0) rotateZ(0deg);
    }
    to {
        opacity: 1;
        -webkit-transform: rotateZ(5deg);
        transform: rotateZ(5deg);
    }
}
@keyframes fadeInLeft_bc {
    from {
        opacity: 0;
        -webkit-transform: translate3d(-20%, 0, 0) rotateZ(0deg);
        transform: translate3d(-20%, 0, 0) rotateZ(0deg);
    }

    to {
        opacity: 1;
        -webkit-transform: rotateZ(5deg);
        transform: rotateZ(5deg);
    }
}

@media only screen and (min-width: 1001px){
    .special-edit-box,
    .special-info-img,
    .special-info-text-box{
        opacity: 0;
    }
    .special-edit-box.anima{
        animation: fade 1s ease 0s 1 both;
    }
    .special-info.anima .special-info-img{
        animation: fadeInLeft 1s ease 0s 1 both;
    }
    .special-info.anima .special-info-text-box{
        animation: fadeInRight 1s ease 0s 1 both;
    }
    .special-info-box::before{
        animation: fadeInLeft_bc 1s ease 0s 1 both;
    }
}
